Bug 364342 - KRunner crash by Akonadi's PIMContactsRunner
Summary: KRunner crash by Akonadi's PIMContactsRunner
Status: RESOLVED WORKSFORME
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.2.0
Platform: Compiled Sources Linux
: NOR crash with 61 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 364611 367608 367927 368084 368091 368139 368258 368665 368669 368853 369075 369108 369208 369472 369502 369586 370632 371200 371684 371874 372178 373371 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-15 12:04 UTC by Andreas Cord-Landwehr
Modified: 2018-12-20 18:48 UTC (History)
29 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
krunner-20160911-214209.kcrash.txt (28.72 KB, text/plain)
2016-09-11 19:53 UTC, Andreas Sturmlechner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Cord-Landwehr 2016-06-15 12:04:43 UTC
Application: krunner (5.6.90)
 (Compiled from sources)
Qt Version: 5.6.1
Frameworks Version: 5.23.0
Operating System: Linux 4.5.0-2-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
Crash occured when by opening KRunner.
See backtrace, it directly tells the reason.

-- Backtrace:
Application: krunner (krunner), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7fa5920b1900 (LWP 1521))]

Thread 13 (Thread 0x7fa58ed8a700 (LWP 1534)):
#0  0x00007fa5a0c7adcd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa59fabd382 in _xcb_conn_wait (__timeout=-1, __nfds=1, __fds=0x7fa58ed89b80) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  0x00007fa59fabd382 in _xcb_conn_wait (c=c@entry=0x218cb40, cond=cond@entry=0x218cb80, vector=vector@entry=0x0, count=count@entry=0x0) at ../../src/xcb_conn.c:459
#3  0x00007fa59fabeff7 in xcb_wait_for_event (c=0x218cb40) at ../../src/xcb_in.c:693
#4  0x00007fa591e0dadd in QXcbEventReader::run() (this=0x21971a0) at qxcbconnection.cpp:1325
#5  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x21971a0) at thread/qthread_unix.cpp:340
#6  0x00007fa59d1e5454 in start_thread (arg=0x7fa58ed8a700) at pthread_create.c:334
#7  0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fa58d444700 (LWP 1539)):
#0  0x00007fa5990ab8e0 in g_main_context_prepare (context=context@entry=0x7fa580000990, priority=priority@entry=0x7fa58d443a80) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3424
#1  0x00007fa5990ac2cb in g_main_context_iterate (context=context@entry=0x7fa580000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3820
#2  0x00007fa5990ac4ac in g_main_context_iteration (context=0x7fa580000990, may_block=1) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
#3  0x00007fa5a1b80334 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa5800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007fa5a1b02570 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa58d443c30, flags=...) at kernel/qeventloop.cpp:128
#5  0x00007fa5a1b0286c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa58d443c30, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fa5a18cc276 in QThread::exec() (this=0x7fa5a35f05e0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:504
#7  0x00007fa5a3556860 in QDBusConnectionManager::run() (this=0x7fa5a35f05e0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:181
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x7fa5a35f05e0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa58d444700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fa586b27700 (LWP 1562)):
#0  0x00007fa5a0c7adcd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fa5990ac39c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7fa57c002e70, timeout=<optimized out>, context=0x7fa57c000990) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:4135
#2  0x00007fa5990ac39c in g_main_context_iterate (context=context@entry=0x7fa57c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3835
#3  0x00007fa5990ac4ac in g_main_context_iteration (context=0x7fa57c000990, may_block=1) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
#4  0x00007fa5a1b80334 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa57c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007fa5a1b02570 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa586b26c60, flags=...) at kernel/qeventloop.cpp:128
#6  0x00007fa5a1b0286c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa586b26c60, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fa5a18cc276 in QThread::exec() (this=0x24210c0) at thread/qthread.cpp:504
#8  0x00007fa5a4350487 in QQmlThreadPrivate::run() (this=0x24210c0) at qml/ftw/qqmlthread.cpp:141
#9  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x24210c0) at thread/qthread_unix.cpp:340
#10 0x00007fa59d1e5454 in start_thread (arg=0x7fa586b27700) at pthread_create.c:334
#11 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fa568819700 (LWP 3701)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa5a18d5a22 in QWaitConditionPrivate::wait(unsigned long) (this=0x2924d80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:136
#2  0x00007fa5a18d57f5 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x29250a0, mutex=0x252d1d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007fa5844dd5e0 in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked(ThreadWeaver::Thread*) (this=0x23bc3d0, th=0x3d545d0) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:594
#4  0x00007fa5844dd2b9 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) (this=0x23bc3d0, th=0x3d545d0, threadWasBusy=true, suspendIfInactive=false, justReturning=false) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:554
#5  0x00007fa5844e5cf5 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, bool) (this=0x252cd70, th=0x3d545d0, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/workinghardstate.cpp:66
#6  0x00007fa5844dd3fa in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) (this=0x23bc3d0, th=0x3d545d0, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:568
#7  0x00007fa5844e1db8 in ThreadWeaver::Thread::run() (this=0x3d545d0) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:103
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x3d545d0) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa568819700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fa568018700 (LWP 3702)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa5a18d5a22 in QWaitConditionPrivate::wait(unsigned long) (this=0x2924d80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:136
#2  0x00007fa5a18d57f5 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x29250a0, mutex=0x252d1d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007fa5844dd5e0 in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked(ThreadWeaver::Thread*) (this=0x23bc3d0, th=0x420b490) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:594
#4  0x00007fa5844dd2b9 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) (this=0x23bc3d0, th=0x420b490, threadWasBusy=true, suspendIfInactive=false, justReturning=false) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:554
#5  0x00007fa5844e5cf5 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, bool) (this=0x252cd70, th=0x420b490, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/workinghardstate.cpp:66
#6  0x00007fa5844dd3fa in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) (this=0x23bc3d0, th=0x420b490, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:568
#7  0x00007fa5844e1db8 in ThreadWeaver::Thread::run() (this=0x420b490) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:103
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x420b490) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa568018700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fa567817700 (LWP 3703)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa5a18d5a22 in QWaitConditionPrivate::wait(unsigned long) (this=0x2924d80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:136
#2  0x00007fa5a18d57f5 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x29250a0, mutex=0x252d1d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007fa5844dd5e0 in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked(ThreadWeaver::Thread*) (this=0x23bc3d0, th=0x7fa560003020) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:594
#4  0x00007fa5844dd2b9 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) (this=0x23bc3d0, th=0x7fa560003020, threadWasBusy=true, suspendIfInactive=false, justReturning=false) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:554
#5  0x00007fa5844e5cf5 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, bool) (this=0x252cd70, th=0x7fa560003020, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/workinghardstate.cpp:66
#6  0x00007fa5844dd3fa in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) (this=0x23bc3d0, th=0x7fa560003020, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:568
#7  0x00007fa5844e1db8 in ThreadWeaver::Thread::run() (this=0x7fa560003020) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:103
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x7fa560003020) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa567817700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fa567016700 (LWP 3704)):
#0  0x00007fa5a18d86e8 in QByteArray::resize(int) (this=0x7fa567014d90, size=1) at tools/qbytearray.cpp:1557
#1  0x00007fa5a1a331c1 in QIODevice::readLine(long long) (this=0x7fa567014e90, maxSize=1073741798) at io/qiodevice.cpp:1184
#2  0x00007fa5a25cf85b in (anonymous namespace)::readUntilDesktopEntryGroup(QFile&, QString const&, int&) (file=..., path=..., lineNr=@0x7fa567014e8c: 835268) at /opt/kde/src/frameworks/kcoreaddons/src/lib/plugin/desktopfileparser.cpp:196
#3  0x00007fa5a25d3e68 in DesktopFileParser::convert(QString const&, QStringList const&, QJsonObject&, QString*) (src=..., serviceTypes=..., json=..., libraryPath=0x7fa567015020) at /opt/kde/src/frameworks/kcoreaddons/src/lib/plugin/desktopfileparser.cpp:465
#4  0x00007fa5a25cbe3b in KPluginMetaData::loadFromDesktopFile(QString const&, QStringList const&) (this=0x7fa567015240, file=..., serviceTypes=...) at /opt/kde/src/frameworks/kcoreaddons/src/lib/plugin/kpluginmetadata.cpp:121
#5  0x00007fa5a25cb1fc in KPluginMetaData::KPluginMetaData(QString const&) (this=0x7fa567015240, file=...) at /opt/kde/src/frameworks/kcoreaddons/src/lib/plugin/kpluginmetadata.cpp:64
#6  0x00007fa5a3d5eee1 in KPackage::PackageLoader::listPackages(QString const&, QString const&) (this=0x247bad0, packageFormat=..., packageRoot=...) at /opt/kde/src/frameworks/kpackage/src/kpackage/packageloader.cpp:255
#7  0x00007fa5a3d5f168 in KPackage::PackageLoader::findPackages(QString const&, QString const&, std::function<bool (KPluginMetaData const&)>) (this=0x247bad0, packageFormat=..., packageRoot=..., filter=...) at /opt/kde/src/frameworks/kpackage/src/kpackage/packageloader.cpp:276
#8  0x00007fa5a4fbadc9 in Plasma::PluginLoader::listAppletInfo(QString const&, QString const&) (this=0x42bed30, category=..., parentApp=...) at /opt/kde/src/frameworks/plasma-framework/src/plasma/pluginloader.cpp:586
#9  0x00007fa56ca34a91 in WindowedWidgetsRunner::match(Plasma::RunnerContext&) (this=0x4350d10, context=...) at /opt/kde/src/kde/workspace/plasma-workspace/runners/windowedwidgets/windowedwidgetsrunner.cpp:63
#10 0x00007fa58470cd4f in Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&) (this=0x4350d10, localContext=...) at /opt/kde/src/frameworks/krunner/src/abstractrunner.cpp:131
#11 0x00007fa584710673 in Plasma::FindMatchesJob::run(QSharedPointer<ThreadWeaver::JobInterface>, ThreadWeaver::Thread*) (this=0x45d41b0) at /opt/kde/src/frameworks/krunner/src/runnerjobs.cpp:159
#12 0x00007fa5844e4d40 in ThreadWeaver::Executor::run(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x7fa5846ffa98 <ThreadWeaver::Private::defaultExecutor>, job=..., thread=0x420c880) at /opt/kde/src/frameworks/threadweaver/src/executor.cpp:52
#13 0x00007fa5844e3be7 in ThreadWeaver::Private::DefaultExecutor::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x7fa5846ffa98 <ThreadWeaver::Private::defaultExecutor>, job=..., thread=0x420c880) at /opt/kde/src/frameworks/threadweaver/src/job_p.cpp:70
#14 0x00007fa5844e4f88 in ThreadWeaver::ExecuteWrapper::executeWrapped(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x4774458, job=..., thread=0x420c880) at /opt/kde/src/frameworks/threadweaver/src/executewrapper.cpp:64
#15 0x00007fa5844e3b53 in ThreadWeaver::Private::DebugExecuteWrapper::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x4774458, job=..., th=0x420c880) at /opt/kde/src/frameworks/threadweaver/src/job_p.cpp:58
#16 0x00007fa5844e2622 in ThreadWeaver::Job::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x45d41b0, self=..., th=0x420c880) at /opt/kde/src/frameworks/threadweaver/src/job.cpp:83
#17 0x00007fa5844e1e6b in ThreadWeaver::Thread::run() (this=0x420c880) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:114
#18 0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x420c880) at thread/qthread_unix.cpp:340
#19 0x00007fa59d1e5454 in start_thread (arg=0x7fa567016700) at pthread_create.c:334
#20 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fa566815700 (LWP 3705)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa5a18d5a22 in QWaitConditionPrivate::wait(unsigned long) (this=0x2924d80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:136
#2  0x00007fa5a18d57f5 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x29250a0, mutex=0x252d1d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007fa5844dd5e0 in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked(ThreadWeaver::Thread*) (this=0x23bc3d0, th=0x265ff20) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:594
#4  0x00007fa5844dd2b9 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) (this=0x23bc3d0, th=0x265ff20, threadWasBusy=true, suspendIfInactive=false, justReturning=false) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:554
#5  0x00007fa5844e5cf5 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, bool) (this=0x252cd70, th=0x265ff20, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/workinghardstate.cpp:66
#6  0x00007fa5844dd3fa in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) (this=0x23bc3d0, th=0x265ff20, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:568
#7  0x00007fa5844e1db8 in ThreadWeaver::Thread::run() (this=0x265ff20) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:103
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x265ff20) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa566815700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fa566014700 (LWP 3706)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa5a18d5a22 in QWaitConditionPrivate::wait(unsigned long) (this=0x2924d80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:136
#2  0x00007fa5a18d57f5 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x29250a0, mutex=0x252d1d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007fa5844dd5e0 in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked(ThreadWeaver::Thread*) (this=0x23bc3d0, th=0x4216c60) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:594
#4  0x00007fa5844dd2b9 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) (this=0x23bc3d0, th=0x4216c60, threadWasBusy=true, suspendIfInactive=false, justReturning=false) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:554
#5  0x00007fa5844e5cf5 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, bool) (this=0x252cd70, th=0x4216c60, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/workinghardstate.cpp:66
#6  0x00007fa5844dd3fa in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) (this=0x23bc3d0, th=0x4216c60, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:568
#7  0x00007fa5844e1db8 in ThreadWeaver::Thread::run() (this=0x4216c60) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:103
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x4216c60) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa566014700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fa565813700 (LWP 3707)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa5a18d5a22 in QWaitConditionPrivate::wait(unsigned long) (this=0x2924d80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:136
#2  0x00007fa5a18d57f5 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x29250a0, mutex=0x252d1d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#3  0x00007fa5844dd5e0 in ThreadWeaver::Weaver::blockThreadUntilJobsAreBeingAssigned_locked(ThreadWeaver::Thread*) (this=0x23bc3d0, th=0x3d6b270) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:594
#4  0x00007fa5844dd2b9 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) (this=0x23bc3d0, th=0x3d6b270, threadWasBusy=true, suspendIfInactive=false, justReturning=false) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:554
#5  0x00007fa5844e5cf5 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, bool) (this=0x252cd70, th=0x3d6b270, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/workinghardstate.cpp:66
#6  0x00007fa5844dd3fa in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) (this=0x23bc3d0, th=0x3d6b270, wasBusy=true) at /opt/kde/src/frameworks/threadweaver/src/weaver.cpp:568
#7  0x00007fa5844e1db8 in ThreadWeaver::Thread::run() (this=0x3d6b270) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:103
#8  0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x3d6b270) at thread/qthread_unix.cpp:340
#9  0x00007fa59d1e5454 in start_thread (arg=0x7fa565813700) at pthread_create.c:334
#10 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fa565012700 (LWP 3708)):
[KCrash Handler]
#6  0x00007fa5a0bce458 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007fa5a0bcf8da in __GI_abort () at abort.c:89
#8  0x00007fa5a18be81e in qt_message_fatal(QtMsgType, QMessageLogContext const&, QString const&) (context=..., message=...) at global/qlogging.cpp:1648
#9  0x00007fa5a18bacd6 in QMessageLogger::fatal(char const*, ...) const (this=0x7fa56500f0e0, msg=0x7fa3f62387b0 "QtWebEngine::initialize() must be called from the Qt gui thread.") at global/qlogging.cpp:790
#10 0x00007fa3f4c72998 in QtWebEngineCore::initialize() () at qtwebenginecoreglobal.cpp:79
#11 0x00007fa5577cbd30 in initialize() () at api/qtwebenginewidgetsglobal.cpp:53
#12 0x00007fa5a1b04143 in qAddPreRoutine(void (*)()) (p=0x7fa5577cbd10 <initialize()>) at kernel/qcoreapplication.cpp:250
#13 0x00007fa5577cbd45 in initialize_ctor_function() () at api/qtwebenginewidgetsglobal.cpp:56
#14 0x00007fa5577cbd59 in (anonymous namespace)::initialize_ctor_function_ctor_class_::initialize_ctor_function_ctor_class_() (this=0x7fa5577fb7a1 <(anonymous namespace)::initialize_ctor_function_ctor_instance_>) at api/qtwebenginewidgetsglobal.cpp:56
#15 0x00007fa5577cbd85 in __static_initialization_and_destruction_0(int, int) (__initialize_p=1, __priority=65535) at api/qtwebenginewidgetsglobal.cpp:56
#16 0x00007fa5577cbd9b in _GLOBAL__sub_I_qtwebenginewidgetsglobal.cpp(void) () at api/qtwebenginewidgetsglobal.cpp:56
#17 0x00007fa5a59f92da in call_init (l=<optimized out>, argc=argc@entry=1, argv=argv@entry=0x7ffd08f14358, env=env@entry=0x7ffd08f14368) at dl-init.c:72
#18 0x00007fa5a59f93eb in _dl_init (env=0x7ffd08f14368, argv=0x7ffd08f14358, argc=1, l=<optimized out>) at dl-init.c:30
#19 0x00007fa5a59f93eb in _dl_init (main_map=main_map@entry=0x7fa54023a060, argc=1, argv=0x7ffd08f14358, env=0x7ffd08f14368) at dl-init.c:120
#20 0x00007fa5a59fd8d0 in dl_open_worker (a=a@entry=0x7fa56500f518) at dl-open.c:575
#21 0x00007fa5a59f9184 in _dl_catch_error (objname=objname@entry=0x7fa56500f508, errstring=errstring@entry=0x7fa56500f510, mallocedp=mallocedp@entry=0x7fa56500f507, operate=operate@entry=0x7fa5a59fd500 <dl_open_worker>, args=args@entry=0x7fa56500f518) at dl-error.c:187
#22 0x00007fa5a59fd081 in _dl_open (file=0x7fa54026eb48 "/opt/kde/install/kf5/lib/x86_64-linux-gnu/plugins/akonadi_serializer_addressee.so", mode=-2147483647, caller_dlopen=0x7fa5a1affbb4 <QLibraryPrivate::load_sys()+1794>, nsid=-2, argc=1, argv=<optimized out>, env=0x7ffd08f14368) at dl-open.c:660
#23 0x00007fa599575f09 in dlopen_doit (a=a@entry=0x7fa56500f730) at dlopen.c:66
#24 0x00007fa5a59f9184 in _dl_catch_error (objname=0x7fa5400043f0, errstring=0x7fa5400043f8, mallocedp=0x7fa5400043e8, operate=0x7fa599575eb0 <dlopen_doit>, args=0x7fa56500f730) at dl-error.c:187
#25 0x00007fa599576521 in _dlerror_run (operate=operate@entry=0x7fa599575eb0 <dlopen_doit>, args=args@entry=0x7fa56500f730) at dlerror.c:163
#26 0x00007fa599575fa1 in __dlopen (file=<optimized out>, mode=<optimized out>) at dlopen.c:87
#27 0x00007fa5a1affbb4 in QLibraryPrivate::load_sys() (this=0x7fa54025ec10) at plugin/qlibrary_unix.cpp:227
#28 0x00007fa5a1afac3f in QLibraryPrivate::load() (this=0x7fa54025ec10) at plugin/qlibrary.cpp:532
#29 0x00007fa5a1afaf1c in QLibraryPrivate::loadPlugin() (this=0x7fa54025ec10) at plugin/qlibrary.cpp:580
#30 0x00007fa5a1af077f in QPluginLoader::load() (this=0x7fa5401ab110) at plugin/qpluginloader.cpp:232
#31 0x00007fa5a1af05e3 in QPluginLoader::instance() (this=0x7fa5401ab110) at plugin/qpluginloader.cpp:189
#32 0x00007fa56987d0a4 in Akonadi::PluginLoader::createForName(QString const&) (this=0x7fa5401abd80, name=...) at /opt/kde/src/kde/pim/akonadi/src/core/pluginloader.cpp:105
#33 0x00007fa5698ac1c8 in Akonadi::PluginEntry::plugin() const (this=0x7fa5401ad798) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:76
#34 0x00007fa5698add9e in Akonadi::PluginRegistry::findBestMatchImpl(QString const&, QVector<int> const&, int&) const (this=0x7fa569c20e20 <Akonadi::(anonymous namespace)::Q_QGS_s_pluginRegistry::innerFunction()::holder>, type=..., metaTypeIds=..., chosen=@0x7fa56500ff0c: -1) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:362
#35 0x00007fa5698ad736 in Akonadi::PluginRegistry::findBestMatch(QString const&, QVector<int> const&) (this=0x7fa569c20e20 <Akonadi::(anonymous namespace)::Q_QGS_s_pluginRegistry::innerFunction()::holder>, type=..., metaTypeIds=...) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:290
#36 0x00007fa5698ad63b in Akonadi::PluginRegistry::findBestMatch(QString const&, QVector<int> const&, QFlags<Akonadi::TypePluginLoader::Option>) (this=0x7fa569c20e20 <Akonadi::(anonymous namespace)::Q_QGS_s_pluginRegistry::innerFunction()::holder>, type=..., metaTypeId=..., opt=...) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:269
#37 0x00007fa5698ab7f5 in Akonadi::TypePluginLoader::objectForMimeTypeAndClass(QString const&, QVector<int> const&, QFlags<Akonadi::TypePluginLoader::Option>) (mimetype=..., metaTypeIds=..., opt=...) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:421
#38 0x00007fa5698ab837 in Akonadi::TypePluginLoader::defaultObjectForMimeType(QString const&) (mimetype=...) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:426
#39 0x00007fa5698ab8b7 in Akonadi::TypePluginLoader::defaultPluginForMimeType(QString const&) (mimetype=...) at /opt/kde/src/kde/pim/akonadi/src/core/typepluginloader.cpp:436
#40 0x00007fa569851fb9 in Akonadi::ItemSerializer::deserialize(Akonadi::Item&, QByteArray const&, QIODevice&, int) (item=..., label=..., data=..., version=0) at /opt/kde/src/kde/pim/akonadi/src/core/itemserializer.cpp:115
#41 0x00007fa569851d48 in Akonadi::ItemSerializer::deserialize(Akonadi::Item&, QByteArray const&, QByteArray const&, int, bool) (item=..., label=..., data=..., version=0, external=true) at /opt/kde/src/kde/pim/akonadi/src/core/itemserializer.cpp:97
#42 0x00007fa56988359c in Akonadi::ProtocolHelper::parseItemFetchResult(Akonadi::Protocol::FetchItemsResponse const&, Akonadi::ProtocolHelperValuePool*) (data=..., valuePool=0x0) at /opt/kde/src/kde/pim/akonadi/src/core/protocolhelper.cpp:486
#43 0x00007fa5698d17c2 in Akonadi::ItemFetchJob::doHandleResponse(long long, Akonadi::Protocol::Command const&) (this=0x7fa540140520, tag=3, response=...) at /opt/kde/src/kde/pim/akonadi/src/core/jobs/itemfetchjob.cpp:197
#44 0x00007fa5698d8dbf in Akonadi::JobPrivate::handleResponse(long long, Akonadi::Protocol::Command const&) (this=0x7fa5401e2060, tag=3, response=...) at /opt/kde/src/kde/pim/akonadi/src/core/jobs/job.cpp:71
#45 0x00007fa56989a8c6 in Akonadi::SessionPrivate::handleCommand(long long, Akonadi::Protocol::Command const&) (this=0x7fa5401fb850, tag=3, cmd=...) at /opt/kde/src/kde/pim/akonadi/src/core/session.cpp:143
#46 0x00007fa56989c5e9 in Akonadi::Session::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x7fa5401abdd0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fa3f8003bc0) at /opt/kde/build/kde/pim/akonadi/src/core/moc_session.cpp:118
#47 0x00007fa5a1b3ed07 in QMetaCallEvent::placeMetaCall(QObject*) (this=0x7fa3f8005120, object=0x7fa5401abdd0) at kernel/qobject.cpp:495
#48 0x00007fa5a1b3fda0 in QObject::event(QEvent*) (this=0x7fa5401abdd0, e=0x7fa3f8005120) at kernel/qobject.cpp:1256
#49 0x00007fa5a29b44f2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=0x216e770, receiver=0x7fa5401abdd0, e=0x7fa3f8005120) at kernel/qapplication.cpp:3804
#50 0x00007fa5a29b18bd in QApplication::notify(QObject*, QEvent*) (this=0x7ffd08f14100, receiver=0x7fa5401abdd0, e=0x7fa3f8005120) at kernel/qapplication.cpp:3163
#51 0x00007fa5a1b05bfa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x7fa5401abdd0, event=0x7fa3f8005120) at kernel/qcoreapplication.cpp:1015
#52 0x00007fa5a1b09c30 in QCoreApplication::sendEvent(QObject*, QEvent*) (receiver=0x7fa5401abdd0, event=0x7fa3f8005120) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:225
#53 0x00007fa5a1b06fe2 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x43d8380) at kernel/qcoreapplication.cpp:1650
#54 0x00007fa5a1b06962 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1508
#55 0x00007fa5a1b7fb2c in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x7fa5400012d0) at kernel/qeventdispatcher_glib.cpp:270
#56 0x00007fa5990ac1a7 in g_main_context_dispatch (context=0x7fa540000990) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3154
#57 0x00007fa5990ac1a7 in g_main_context_dispatch (context=context@entry=0x7fa540000990) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3769
#58 0x00007fa5990ac400 in g_main_context_iterate (context=context@entry=0x7fa540000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3840
#59 0x00007fa5990ac4ac in g_main_context_iteration (context=0x7fa540000990, may_block=1) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
#60 0x00007fa5a1b80305 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa5400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#61 0x00007fa5a1b02570 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa5650115a0, flags=...) at kernel/qeventloop.cpp:128
#62 0x00007fa5a1b0286c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa5650115a0, flags=...) at kernel/qeventloop.cpp:204
#63 0x00007fa5a25c109a in KJob::exec() (this=0x7fa540140520) at /opt/kde/src/frameworks/kcoreaddons/src/lib/jobs/kjob.cpp:198
#64 0x00007fa56a11b153 in PIMContactsRunner::queryContacts(Plasma::RunnerContext&, QString const&) (this=0x43c7a20, context=..., queryString=...) at /opt/kde/src/kde/pim/akonadi-search/runner/pimcontactsrunner.cpp:135
#65 0x00007fa56a11ac79 in PIMContactsRunner::match(Plasma::RunnerContext&) (this=0x43c7a20, context=...) at /opt/kde/src/kde/pim/akonadi-search/runner/pimcontactsrunner.cpp:94
#66 0x00007fa58470cd4f in Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&) (this=0x43c7a20, localContext=...) at /opt/kde/src/frameworks/krunner/src/abstractrunner.cpp:131
#67 0x00007fa584710673 in Plasma::FindMatchesJob::run(QSharedPointer<ThreadWeaver::JobInterface>, ThreadWeaver::Thread*) (this=0x4fbde00) at /opt/kde/src/frameworks/krunner/src/runnerjobs.cpp:159
#68 0x00007fa5844e4d40 in ThreadWeaver::Executor::run(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x7fa5846ffa98 <ThreadWeaver::Private::defaultExecutor>, job=..., thread=0x3d6c1c0) at /opt/kde/src/frameworks/threadweaver/src/executor.cpp:52
#69 0x00007fa5844e3be7 in ThreadWeaver::Private::DefaultExecutor::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x7fa5846ffa98 <ThreadWeaver::Private::defaultExecutor>, job=..., thread=0x3d6c1c0) at /opt/kde/src/frameworks/threadweaver/src/job_p.cpp:70
#70 0x00007fa5844e4f88 in ThreadWeaver::ExecuteWrapper::executeWrapped(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x4b514c8, job=..., thread=0x3d6c1c0) at /opt/kde/src/frameworks/threadweaver/src/executewrapper.cpp:64
#71 0x00007fa5844e3b53 in ThreadWeaver::Private::DebugExecuteWrapper::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x4b514c8, job=..., th=0x3d6c1c0) at /opt/kde/src/frameworks/threadweaver/src/job_p.cpp:58
#72 0x00007fa5844e2622 in ThreadWeaver::Job::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) (this=0x4fbde00, self=..., th=0x3d6c1c0) at /opt/kde/src/frameworks/threadweaver/src/job.cpp:83
#73 0x00007fa5844e1e6b in ThreadWeaver::Thread::run() (this=0x3d6c1c0) at /opt/kde/src/frameworks/threadweaver/src/thread.cpp:114
#74 0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x3d6c1c0) at thread/qthread_unix.cpp:340
#75 0x00007fa59d1e5454 in start_thread (arg=0x7fa565012700) at pthread_create.c:334
#76 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fa556f9a700 (LWP 28453)):
#0  0x00007fa5a18c8c92 in QAtomicOps<QMutexData*>::testAndSetAcquire<QMutexData*>(std::atomic<QMutexData*>&, QMutexData*, QMutexData*, QMutexData**) (_q_value=..., expectedValue=0x7fa556f998e0, newValue=0x100000000000001, currentValue=0x7fa556f99948) at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:156
#1  0x00007fa5a18c8b9a in QBasicAtomicPointer<QMutexData>::testAndSetAcquire(QMutexData*, QMutexData*, QMutexData*&) (this=0x7fa54027f7d8, expectedValue=0x0, newValue=0x1, currentValue=@0x7fa556f99948: 0x7fffffff) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:276
#2  0x00007fa5a18c886d in QBasicMutex::fastTryLock(QMutexData*&) (this=0x7fa54027f7d8, current=@0x7fa556f99948: 0x7fffffff) at thread/qmutex.h:82
#3  0x00007fa5a18c811f in QMutex::lock() (this=0x7fa54027f7d8) at thread/qmutex.cpp:219
#4  0x00007fa5a18a51da in QMutexLocker::QMutexLocker(QBasicMutex*) (this=0x7fa556f99990, m=0x7fa54027f7d8) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:128
#5  0x00007fa5a1b7caae in QThreadData::canWaitLocked() (this=0x7fa54027f7b0) at ../../include/QtCore/5.6.1/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:247
#6  0x00007fa5a1b7fa6d in postEventSourcePrepare(GSource*, gint*) (s=0x7fa3f8002700, timeout=0x7fa556f99a24) at kernel/qeventdispatcher_glib.cpp:253
#7  0x00007fa5990ab92d in g_main_context_prepare (context=context@entry=0x7fa3f8000990, priority=priority@entry=0x7fa556f99ab0) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3442
#8  0x00007fa5990ac2cb in g_main_context_iterate (context=context@entry=0x7fa3f8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3820
#9  0x00007fa5990ac4ac in g_main_context_iteration (context=0x7fa3f8000990, may_block=1) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
#10 0x00007fa5a1b80334 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa3f80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#11 0x00007fa5a1b02570 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa556f99c60, flags=...) at kernel/qeventloop.cpp:128
#12 0x00007fa5a1b0286c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fa556f99c60, flags=...) at kernel/qeventloop.cpp:204
#13 0x00007fa5a18cc276 in QThread::exec() (this=0x7fa540231740) at thread/qthread.cpp:504
#14 0x00007fa5a18cc418 in QThread::run() (this=0x7fa540231740) at thread/qthread.cpp:571
#15 0x00007fa5a18d42e5 in QThreadPrivate::start(void*) (arg=0x7fa540231740) at thread/qthread_unix.cpp:340
#16 0x00007fa59d1e5454 in start_thread (arg=0x7fa556f9a700) at pthread_create.c:334
#17 0x00007fa5a0c83e5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fa5920b1900 (LWP 1521)):
#0  0x00007fa59d1eb04f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa59fabd5d9 in _xcb_conn_wait (c=c@entry=0x218cb40, cond=cond@entry=0x7ffd08f12ca0, vector=vector@entry=0x0, count=count@entry=0x0) at ../../src/xcb_conn.c:427
#2  0x00007fa59fabed37 in wait_for_reply (c=c@entry=0x218cb40, request=12771, e=e@entry=0x0) at ../../src/xcb_in.c:516
#3  0x00007fa59fabee41 in xcb_wait_for_reply (c=0x218cb40, request=12771, e=0x0) at ../../src/xcb_in.c:546
#4  0x00007fa58758d2c3 in KWindowEffectsPrivateX11::enableBlurBehind(unsigned long long, bool, QRegion const&) (this=0x22930a0, window=35651595, enable=true, region=...) at /opt/kde/src/frameworks/kwindowsystem/src/platforms/xcb/kwindoweffects.cpp:252
#5  0x00007fa5a308ef62 in KWindowEffects::enableBlurBehind(unsigned long long, bool, QRegion const&) (window=35651595, enable=true, region=...) at /opt/kde/src/frameworks/kwindowsystem/src/kwindoweffects.cpp:42
#6  0x00007fa5a579fba5 in PlasmaQuick::DialogPrivate::updateTheme() (this=0x21dddb0) at /opt/kde/src/frameworks/plasma-framework/src/plasmaquick/dialog.cpp:225
#7  0x00007fa5a57a1530 in PlasmaQuick::DialogPrivate::updateLayoutParameters() (this=0x21dddb0) at /opt/kde/src/frameworks/plasma-framework/src/plasmaquick/dialog.cpp:476
#8  0x00007fa5a57a5fb5 in PlasmaQuick::Dialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x7ffd08f14040, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0x7ffd08f13210) at /opt/kde/build/frameworks/plasma-framework/src/plasmaquick/moc_dialog.cpp:229
#9  0x00007fa5a1b4685d in QMetaObject::activate(QObject*, int, int, void**) (sender=0x21ddde8, signalOffset=3, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3730
#10 0x00007fa5a1b46064 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=0x21ddde8, m=0x7fa5a1e15500 <QTimer::staticMetaObject>, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3595
#11 0x00007fa5a1be72b7 in QTimer::timeout(QTimer::QPrivateSignal) (this=0x21ddde8) at .moc/moc_qtimer.cpp:201
#12 0x00007fa5a1b52cf9 in QTimer::timerEvent(QTimerEvent*) (this=0x21ddde8, e=0x7ffd08f13c50) at kernel/qtimer.cpp:247
#13 0x00007fa5a1b3fcfa in QObject::event(QEvent*) (this=0x21ddde8, e=0x7ffd08f13c50) at kernel/qobject.cpp:1237
#14 0x00007fa5a29b44f2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=0x216e770, receiver=0x21ddde8, e=0x7ffd08f13c50) at kernel/qapplication.cpp:3804
#15 0x00007fa5a29b18bd in QApplication::notify(QObject*, QEvent*) (this=0x7ffd08f14100, receiver=0x21ddde8, e=0x7ffd08f13c50) at kernel/qapplication.cpp:3163
#16 0x00007fa5a1b05bfa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x21ddde8, event=0x7ffd08f13c50) at kernel/qcoreapplication.cpp:1015
#17 0x00007fa5a1b09c30 in QCoreApplication::sendEvent(QObject*, QEvent*) (receiver=0x21ddde8, event=0x7ffd08f13c50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:225
#18 0x00007fa5a1b7e61a in QTimerInfoList::activateTimers() (this=0x21b6c10) at kernel/qtimerinfo_unix.cpp:637
#19 0x00007fa5a1b7f938 in timerSourceDispatch(GSource*, GSourceFunc, gpointer) (source=0x21b6bb0) at kernel/qeventdispatcher_glib.cpp:176
#20 0x00007fa5990ac1a7 in g_main_context_dispatch (context=0x7fa5880016f0) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3154
#21 0x00007fa5990ac1a7 in g_main_context_dispatch (context=context@entry=0x7fa5880016f0) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3769
#22 0x00007fa5990ac400 in g_main_context_iterate (context=context@entry=0x7fa5880016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3840
#23 0x00007fa5990ac4ac in g_main_context_iteration (context=0x7fa5880016f0, may_block=1) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
#24 0x00007fa5a1b80305 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x21c8e10, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#25 0x00007fa591e56e86 in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x21c8e10, flags=...) at eventdispatchers/qeventdispatcher_glib.cpp:115
#26 0x00007fa5a1b02570 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ffd08f13f60, flags=...) at kernel/qeventloop.cpp:128
#27 0x00007fa5a1b0286c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ffd08f13f60, flags=...) at kernel/qeventloop.cpp:204
#28 0x00007fa5a1b06344 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1285
#29 0x00007fa5a1f31598 in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1607
#30 0x00007fa5a29b12a1 in QApplication::exec() () at kernel/qapplication.cpp:2979
#31 0x00000000004076da in main(int, char**) (argc=1, argv=0x7ffd08f14358) at /opt/kde/src/kde/workspace/plasma-workspace/krunner/main.cpp:85

Possible duplicates by query: bug 362777, bug 361526, bug 355096, bug 353914, bug 353057.

Reported using DrKonqi
Comment 1 Denis Kurz 2016-08-19 08:02:55 UTC
This is still an issue with Apps 16.08, whether on Frameworks 5.23 or master.

Steps to reproduce:
1. Enable KRunner "Contacts" plugin
2. Search something in KRunner. Maybe this depends on your actual contacts, but for me, multiple calculations work, like "1+2+3"

Actual result:
KRunner crashes after pressing "3" for the above input.

Expected result:
KRunner says "6" (and does not crash)

Reproducible:
Always. Enabling or disabling any of the other plugins does not fix this behaviour, but disabling the Contacts plugin does.
Comment 2 Denis Kurz 2016-08-23 06:29:31 UTC
Also, we might increase the chance if getting this bug fixed by assigning it to the akonadi people, since it seems to be triggered by the akonadi addressee serializer.
Comment 3 Denis Kurz 2016-08-28 15:29:32 UTC
*** Bug 367927 has been marked as a duplicate of this bug. ***
Comment 4 Denis Kurz 2016-08-28 15:29:52 UTC
*** Bug 367608 has been marked as a duplicate of this bug. ***
Comment 5 Denis Kurz 2016-08-28 15:30:15 UTC
*** Bug 364611 has been marked as a duplicate of this bug. ***
Comment 6 Kai Uwe Broulik 2016-09-01 09:43:20 UTC
*** Bug 368091 has been marked as a duplicate of this bug. ***
Comment 7 Kai Uwe Broulik 2016-09-01 09:45:15 UTC
Re-assigning to Akonadi. It's trying to load QtWebEngine in response to a KRunner query which is stupid.
Comment 8 Kai Uwe Broulik 2016-09-01 09:46:20 UTC
*** Bug 368084 has been marked as a duplicate of this bug. ***
Comment 9 Denis Kurz 2016-09-01 17:01:37 UTC
Isn't this just a linking error? Last time I checked, there was no call to QtWebEngine in the PIMContactsRunner, but it is linked against it somehow. So when the plugin is loaded by Qt, so is the QtWebEngine, which automatically triggers its initialize function.

Fixing the CMakeLists.txt might be enough to fix this.
Comment 10 Dennis Schridde 2016-09-01 22:25:48 UTC
(In reply to Denis Kurz from comment #9)
> Isn't this just a linking error? Last time I checked, there was no call to
> QtWebEngine in the PIMContactsRunner, but it is linked against it somehow.
> So when the plugin is loaded by Qt, so is the QtWebEngine, which
> automatically triggers its initialize function.

On my system, /usr/lib/qt5/plugins/krunner_pimcontacts.so was built with -Wl,--as-needed. Thus if no part of the code uses a library, that library will not be linked against.

The full tree of linked libraries (omitting duplications) is given here - QtWebEngine is not among them:
/usr/lib/qt5/plugins/krunner_pimcontacts.so
| /usr/lib64/libKF5Runner.so.5
| | /usr/lib64/libKF5Plasma.so.5
| | | /usr/lib64/libQt5Sql.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | | | /lib64/libz.so.1
| | | | | /usr/lib64/libicui18n.so.57
| | | | | | /usr/lib64/libicuuc.so.57
| | | | | | | /usr/lib64/libicudata.so.57
| | | | | /usr/lib64/libicuuc.so.57
| | | | | /usr/lib64/libpcre16.so.0
| | | | | /usr/lib64/libglib-2.0.so.0
| | | | | | /lib64/libpcre.so.1
| | | | | /usr/lib64/libsystemd.so.0
| | | | | | /lib64/libcap.so.2
| | | | | | /lib64/liblzma.so.5
| | | | | | /usr/lib64/liblz4.so.1
| | | | | | /usr/lib64/libgcrypt.so.20
| | | | | | | /usr/lib64/libgpg-error.so.0
| | | | | | /lib64/ld-linux-x86-64.so.2
| | | | | | | /lib64/ld-linux-x86-64.so.2
| | | | | /lib64/ld-linux-x86-64.so.2
| | | /usr/lib64/libKF5XmlGui.so.5
| | | | /usr/lib64/libQt5Network.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | | /lib64/libz.so.1
| | | | | /usr/lib64/libproxy.so.1
| | | | | /usr/lib64/libssl.so.1.0.0
| | | | | | /usr/lib64/libcrypto.so.1.0.0
| | | | | | | /lib64/libz.so.1
| | | | | /usr/lib64/libcrypto.so.1.0.0
| | | | /usr/lib64/libQt5PrintSupport.so.5
| | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libpng16.so.16
| | | | | | | | /lib64/libz.so.1
| | | | | | | /usr/lib64/libharfbuzz.so.0
| | | | | | | | /usr/lib64/libglib-2.0.so.0
| | | | | | | | /usr/lib64/libfreetype.so.6
| | | | | | | | | /lib64/libz.so.1
| | | | | | | | | /lib64/libbz2.so.1
| | | | | | | | | /usr/lib64/libpng16.so.16
| | | | | | | | | /usr/lib64/libharfbuzz.so.0
| | | | | | | | /usr/lib64/libgraphite2.so.3
| | | | | | | /lib64/libz.so.1
| | | | | | | /usr/lib64/libGL.so.1
| | | | | | | | /usr/lib64/libexpat.so.1
| | | | | | | | /usr/lib64/libxcb-dri3.so.0
| | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | | | /usr/lib64/libXau.so.6
| | | | | | | | | | /usr/lib64/libXdmcp.so.6
| | | | | | | | | | | /usr/lib64/libbsd.so.0
| | | | | | | | /usr/lib64/libxcb-present.so.0
| | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libxcb-sync.so.1
| | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libxshmfence.so.1
| | | | | | | | /usr/lib64/libglapi.so.0
| | | | | | | | /usr/lib64/libXext.so.6
| | | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libXdamage.so.1
| | | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | /usr/lib64/libXfixes.so.3
| | | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | /usr/lib64/libX11-xcb.so.1
| | | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libxcb-glx.so.0
| | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libxcb-dri2.so.0
| | | | | | | | | /usr/lib64/libxcb.so.1
| | | | | | | | /usr/lib64/libXxf86vm.so.1
| | | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | | /usr/lib64/libXext.so.6
| | | | | | | | /usr/lib64/libdrm.so.2
| | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libgobject-2.0.so.0
| | | | | | | /usr/lib64/libglib-2.0.so.0
| | | | | | | /usr/lib64/libffi.so.6
| | | | | | /usr/lib64/libglib-2.0.so.0
| | | | | | /usr/lib64/libX11.so.6
| | | | | /usr/lib64/libQt5Gui.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libKF5TextWidgets.so.5
| | | | | /usr/lib64/libKF5SonnetUi.so.5
| | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | /usr/lib64/libKF5SonnetCore.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | /usr/lib64/libQt5Core.so.5
| | | | | /usr/lib64/libKF5SonnetCore.so.5
| | | | | /usr/lib64/libKF5Service.so.5
| | | | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libKF5I18n.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libKF5DBusAddons.so.5
| | | | | | | /usr/lib64/libQt5DBus.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | | /usr/lib64/libdbus-1.so.3
| | | | | | | | | /usr/lib64/libsystemd.so.0
| | | | | | | /usr/lib64/libQt5X11Extras.so.5
| | | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libQt5Xml.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libQt5DBus.so.5
| | | | | | /usr/lib64/libQt5Core.so.5
| | | | | /usr/lib64/libKF5WindowSystem.so.5
| | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | /usr/lib64/libQt5X11Extras.so.5
| | | | | | /usr/lib64/libX11.so.6
| | | | | | /usr/lib64/libxcb.so.1
| | | | | | /usr/lib64/libxcb-keysyms.so.1
| | | | | | | /usr/lib64/libxcb.so.1
| | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | /usr/lib64/libQt5Core.so.5
| | | | | /usr/lib64/libKF5IconThemes.so.5
| | | | | | /usr/lib64/libQt5Svg.so.5
| | | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /lib64/libz.so.1
| | | | | | /usr/lib64/libKF5Archive.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /lib64/libbz2.so.1
| | | | | | | /lib64/liblzma.so.5
| | | | | | | /lib64/libz.so.1
| | | | | | /usr/lib64/libKF5ItemViews.so.5
| | | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libKF5ConfigWidgets.so.5
| | | | | | | /usr/lib64/libKF5Codecs.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libKF5ConfigGui.so.5
| | | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | | /usr/lib64/libQt5Xml.so.5
| | | | | | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libKF5Auth.so.5
| | | | | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libQt5DBus.so.5
| | | | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | | | /usr/lib64/libKF5GuiAddons.so.5
| | | | | | | | /usr/lib64/libX11.so.6
| | | | | | | | /usr/lib64/libQt5X11Extras.so.5
| | | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | | /usr/lib64/libKF5I18n.so.5
| | | | | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | | /usr/lib64/libQt5Core.so.5
| | | | | | /usr/lib64/libKF5I18n.so.5
| | | | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | /usr/lib64/libQt5DBus.so.5
| | | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | | /usr/lib64/libQt5Core.so.5
| | | | | /usr/lib64/libKF5Completion.so.5
| | | | | | /usr/lib64/libKF5ConfigGui.so.5
| | | | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | | /usr/lib64/libQt5Gui.so.5
| | | | | | /usr/lib64/libQt5Core.so.5
| | | | | /usr/lib64/libKF5ConfigWidgets.so.5
| | | | | /usr/lib64/libKF5I18n.so.5
| | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | /usr/lib64/libKF5ConfigGui.so.5
| | | | | /usr/lib64/libQt5Gui.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libKF5WindowSystem.so.5
| | | | /usr/lib64/libKF5GlobalAccel.so.5
| | | | | /usr/lib64/libQt5DBus.so.5
| | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | /usr/lib64/libQt5X11Extras.so.5
| | | | | /usr/lib64/libQt5Gui.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libKF5IconThemes.so.5
| | | | /usr/lib64/libKF5ConfigWidgets.so.5
| | | | /usr/lib64/libKF5ConfigGui.so.5
| | | | /usr/lib64/libQt5Xml.so.5
| | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | /usr/lib64/libKF5ItemViews.so.5
| | | | /usr/lib64/libKF5I18n.so.5
| | | | /usr/lib64/libQt5DBus.so.5
| | | | /usr/lib64/libQt5Widgets.so.5
| | | | /usr/lib64/libQt5Gui.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | /usr/lib64/libKF5GlobalAccel.so.5
| | | /usr/lib64/libKF5Notifications.so.5
| | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | /usr/lib64/libKF5WindowSystem.so.5
| | | | /usr/lib64/libKF5Codecs.so.5
| | | | /usr/lib64/libX11.so.6
| | | | /usr/lib64/libQt5X11Extras.so.5
| | | | /usr/lib64/libXtst.so.6
| | | | | /usr/lib64/libX11.so.6
| | | | | /usr/lib64/libXext.so.6
| | | | /usr/lib64/libdbusmenu-qt5.so.2
| | | | | /usr/lib64/libQt5DBus.so.5
| | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | /usr/lib64/libQt5Gui.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libphonon4qt5.so.4
| | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | /usr/lib64/libQt5DBus.so.5
| | | | | /usr/lib64/libpulse.so.0
| | | | | | libpulsecommon-9.0.so
| | | | | | /usr/lib64/libjson-c.so.2
| | | | | | /usr/lib64/libdbus-1.so.3
| | | | | /usr/lib64/libpulse-mainloop-glib.so.0
| | | | | | /usr/lib64/libpulse.so.0
| | | | | | libpulsecommon-9.0.so
| | | | | | /usr/lib64/libglib-2.0.so.0
| | | | | /usr/lib64/libQt5Gui.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libQt5Widgets.so.5
| | | | /usr/lib64/libQt5DBus.so.5
| | | | /usr/lib64/libQt5Gui.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | /usr/lib64/libxcb.so.1
| | | /usr/lib64/libKF5Package.so.5
| | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | /usr/lib64/libKF5Archive.so.5
| | | | /usr/lib64/libKF5I18n.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | /usr/lib64/libKF5KIOWidgets.so.5
| | | | /usr/lib64/libKF5KIOCore.so.5
| | | | | /usr/lib64/libKF5Service.so.5
| | | | | /usr/lib64/libQt5Network.so.5
| | | | | /usr/lib64/libQt5Xml.so.5
| | | | | /usr/lib64/libKF5I18n.so.5
| | | | | /usr/lib64/libKF5DBusAddons.so.5
| | | | | /lib64/libacl.so.1
| | | | | | /lib64/libattr.so.1
| | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | /usr/lib64/libQt5DBus.so.5
| | | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libKF5JobWidgets.so.5
| | | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | | /usr/lib64/libQt5DBus.so.5
| | | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | | /usr/lib64/libQt5X11Extras.so.5
| | | | | /usr/lib64/libQt5Widgets.so.5
| | | | | /usr/lib64/libQt5Gui.so.5
| | | | | /usr/lib64/libQt5Core.so.5
| | | | /usr/lib64/libKF5Service.so.5
| | | | /usr/lib64/libQt5Network.so.5
| | | | /usr/lib64/libKF5Completion.so.5
| | | | /usr/lib64/libKF5IconThemes.so.5
| | | | /usr/lib64/libKF5WindowSystem.so.5
| | | | /usr/lib64/libKF5ConfigWidgets.so.5
| | | | /lib64/libattr.so.1
| | | | /usr/lib64/libKF5WidgetsAddons.so.5
| | | | /usr/lib64/libKF5I18n.so.5
| | | | /usr/lib64/libKF5ConfigGui.so.5
| | | | /usr/lib64/libKF5ConfigCore.so.5
| | | | /usr/lib64/libQt5DBus.so.5
| | | | /usr/lib64/libKF5CoreAddons.so.5
| | | | /usr/lib64/libQt5Widgets.so.5
| | | | /usr/lib64/libQt5Gui.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | /usr/lib64/libKF5Service.so.5
| | | /usr/lib64/libKF5IconThemes.so.5
| | | /usr/lib64/libQt5Svg.so.5
| | | /usr/lib64/libKF5Archive.so.5
| | | /usr/lib64/libKF5ConfigWidgets.so.5
| | | /usr/lib64/libKF5GuiAddons.so.5
| | | /usr/lib64/libKF5I18n.so.5
| | | /usr/lib64/libKF5ConfigGui.so.5
| | | /usr/lib64/libQt5DBus.so.5
| | | /usr/lib64/libKF5WindowSystem.so.5
| | | /usr/lib64/libQt5X11Extras.so.5
| | | /usr/lib64/libKF5ConfigCore.so.5
| | | /usr/lib64/libKF5CoreAddons.so.5
| | | /usr/lib64/libQt5Widgets.so.5
| | | /usr/lib64/libQt5Gui.so.5
| | | /usr/lib64/libQt5Core.so.5
| | /usr/lib64/libKF5ThreadWeaver.so.5
| | | /usr/lib64/libQt5Core.so.5
| | /usr/lib64/libKF5Solid.so.5
| | | /usr/lib64/libQt5DBus.so.5
| | | /usr/lib64/libQt5Xml.so.5
| | | /usr/lib64/libQt5Widgets.so.5
| | | /usr/lib64/libudev.so.1
| | | | /lib64/libcap.so.2
| | | | /lib64/ld-linux-x86-64.so.2
| | | /usr/lib64/libQt5Core.so.5
| | /usr/lib64/libKF5KIOCore.so.5
| | /usr/lib64/libKF5Service.so.5
| | /usr/lib64/libKF5I18n.so.5
| | /usr/lib64/libKF5ConfigCore.so.5
| | /usr/lib64/libKF5CoreAddons.so.5
| | /usr/lib64/libQt5Widgets.so.5
| | /usr/lib64/libQt5Gui.so.5
| | /usr/lib64/libQt5Core.so.5
| /usr/lib64/libKF5AkonadiSearchPIM.so.5
| | /usr/lib64/libKF5AkonadiCore.so.5
| | | /usr/lib64/libKF5ItemModels.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | /usr/lib64/libQt5Network.so.5
| | | /usr/lib64/libKF5AkonadiPrivate.so.5
| | | | /usr/lib64/libQt5Core.so.5
| | | /usr/lib64/libKF5DBusAddons.so.5
| | | /usr/lib64/libKF5IconThemes.so.5
| | | /usr/lib64/libKF5I18n.so.5
| | | /usr/lib64/libKF5ConfigCore.so.5
| | | /usr/lib64/libKF5CoreAddons.so.5
| | | /usr/lib64/libQt5Widgets.so.5
| | | /usr/lib64/libQt5Gui.so.5
| | | /usr/lib64/libQt5DBus.so.5
| | | /usr/lib64/libQt5Core.so.5
| | /usr/lib64/libxapian.so.30
| | | /lib64/libz.so.1
| | | /lib64/libuuid.so.1
| | | | /lib64/ld-linux-x86-64.so.2
| | /usr/lib64/libQt5Core.so.5
| /usr/lib64/libKF5Contacts.so.5
| | /usr/lib64/libKF5CoreAddons.so.5
| | /usr/lib64/libQt5Gui.so.5
| | /usr/lib64/libKF5ConfigCore.so.5
| | /usr/lib64/libKF5I18n.so.5
| | /usr/lib64/libKF5Codecs.so.5
| | /usr/lib64/libQt5Core.so.5
| /usr/lib64/libKF5AkonadiCore.so.5
| /usr/lib64/libKF5I18n.so.5
| /usr/lib64/libKF5Codecs.so.5
| /usr/lib64/libKF5CoreAddons.so.5
| /usr/lib64/libQt5Gui.so.5
| /usr/lib64/libKF5ConfigCore.so.5
| /usr/lib64/libQt5Core.so.5

The script used to generate this tree can be found here: https://gist.github.com/devurandom/e5d7178e60c25248d3613871917a4f7c
Comment 11 Denis Kurz 2016-09-02 06:17:12 UTC
(In reply to Dennis Schridde from comment #10)
> The full tree of linked libraries (omitting duplications) is given here -
> QtWebEngine is not among them:

My plugin isn't linked against WebEngine either, as your (really cool) script revealed. But then I don't understand how loading krunner_pimcontacts.so can possibly lead to QtWebEngine::initialize(). This is triggered deep withinQPluginLoader::instance() after all. Might this be an upstream bug?
Comment 12 Dennis Schridde 2016-09-02 07:10:52 UTC
(In reply to Denis Kurz from comment #11)
> (In reply to Dennis Schridde from comment #10)
> > The full tree of linked libraries (omitting duplications) is given here -
> > QtWebEngine is not among them:
> 
> My plugin isn't linked against WebEngine either, as your (really cool)
> script revealed. But then I don't understand how loading
> krunner_pimcontacts.so can possibly lead to QtWebEngine::initialize(). This
> is triggered deep withinQPluginLoader::instance() after all. Might this be
> an upstream bug?

For me the bug appeared with kde-apps 16.08.0. It's thus a regression from 16.04.3.
Comment 13 Matthew Dawson 2016-09-03 05:23:43 UTC
*** Bug 368139 has been marked as a duplicate of this bug. ***
Comment 14 Kai Uwe Broulik 2016-09-05 09:02:57 UTC
*** Bug 368258 has been marked as a duplicate of this bug. ***
Comment 15 Daniel Vrátil 2016-09-06 13:34:15 UTC
Git commit c25dcbd8852879a2f7ee102ef0f6555583b3dad7 by Daniel Vrátil.
Committed on 06/09/2016 at 13:33.
Pushed by dvratil into branch 'Applications/16.08'.

Don't link AkonadiContact from serializer plugins

This leads to crashes when the serializer plugin gets loaded from
non-GUI thread (like from KRunner), because AkonadiContact depends
on Qt5WebEngine, and even just linking Qt5WebEngine triggers static
globals initialization that crashes in non-GUI thread.
FIXED-IN: 16.08.1

M  +2    -2    plugins/CMakeLists.txt
M  +13   -6    plugins/akonadi_serializer_addressee.cpp
M  +0    -1    plugins/akonadi_serializer_contactgroup.cpp

http://commits.kde.org/kdepim-runtime/c25dcbd8852879a2f7ee102ef0f6555583b3dad7
Comment 16 Andreas Sturmlechner 2016-09-11 19:53:16 UTC
Created attachment 101048 [details]
krunner-20160911-214209.kcrash.txt

hmm I just got a very similar looking crash, are you sure this is fixed?

KF-5.26, Plasma.git master, KDE PIM 16.08.1
Comment 17 Andreas Sturmlechner 2016-09-12 06:29:51 UTC
Checking back, the patch got in only after 16.08.1 tagging so this will be fixed in .2.
Comment 18 Joel Koreth 2016-09-12 20:31:39 UTC
*** Bug 368669 has been marked as a duplicate of this bug. ***
Comment 19 Kai Uwe Broulik 2016-09-15 15:20:41 UTC
*** Bug 368853 has been marked as a duplicate of this bug. ***
Comment 20 Pablo 2016-09-18 12:18:22 UTC
*** Bug 368665 has been marked as a duplicate of this bug. ***
Comment 21 Weng Xuetian 2016-10-01 23:40:35 UTC
IMHO, this need to be reopened since it's actually got reverted.

https://quickgit.kde.org/?p=kdepim-runtime.git&a=commit&h=acb496c86356d2b2fb6df23c108436db879a58ab

I wonder, if it is possible to make sure that krunner always load plugin in main thread? It is quite possible that any krunner plugin need such assumption.
Comment 22 Weng Xuetian 2016-10-02 03:52:27 UTC
Sorry for the noise.

Looks like the reverted plugin right now is not relevant to contact runner. Can't reproduce it.
Comment 23 Christoph Feck 2016-10-06 22:41:29 UTC
*** Bug 369586 has been marked as a duplicate of this bug. ***
Comment 24 Christoph Feck 2016-10-06 22:42:14 UTC
*** Bug 369502 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2016-10-06 22:42:44 UTC
*** Bug 369472 has been marked as a duplicate of this bug. ***
Comment 26 Christoph Feck 2016-10-06 22:43:37 UTC
*** Bug 369208 has been marked as a duplicate of this bug. ***
Comment 27 Christoph Feck 2016-10-06 22:44:04 UTC
*** Bug 369108 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2016-10-06 22:44:24 UTC
*** Bug 369075 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2016-10-14 07:39:56 UTC
*** Bug 370632 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2016-10-19 04:37:16 UTC
*** Bug 371200 has been marked as a duplicate of this bug. ***
Comment 31 Kai Uwe Broulik 2016-11-14 12:57:04 UTC
*** Bug 371684 has been marked as a duplicate of this bug. ***
Comment 32 Kai Uwe Broulik 2016-11-14 12:59:00 UTC
*** Bug 372178 has been marked as a duplicate of this bug. ***
Comment 33 Kai Uwe Broulik 2016-11-14 12:59:56 UTC
*** Bug 371874 has been marked as a duplicate of this bug. ***
Comment 34 Christoph Feck 2016-12-07 15:07:16 UTC
*** Bug 373371 has been marked as a duplicate of this bug. ***
Comment 35 opensuse.lietuviu.kalba 2016-12-14 07:50:15 UTC
I agree with comment #21
In duplicated bug 373371 was kdepim 16.08.2 
(and I can consistentlty reproduce by entering formula (without "=" as first character) in krunner, then jumping to begining of formula and adding more operation and moving with keyboard arrows or pressing Enter), 
thus is not fixed as expected.
Comment 36 Christoph Feck 2018-12-20 18:48:44 UTC
No duplicates since two years, closing again.